<h1>Hola <%= @user.nickname %></h1>,
<h3>Has creado un nuevo botón:</h3>
<div style="max-width: 31.25rem;width: 100%; box-shadow: none; border-radius: 0px; border: 0px;  margin-bottom: 0px;margin-left: auto;margin-right: auto;cursor: auto;display: block;">
  <div style="box-shadow: none;border: 0px;margin-bottom: 0px;background: #fff;border-radius: 0.3125rem !important;position:relative;display:block;" class="button-with-icon">
    <div style="padding:1rem;display:block;">
      <div style="display: flex;flex-flow: row nowrap;justify-content: space-between;padding-bottom: 0.5rem;">
        <div style="flex: 0 1 15%;align-items: center !important;display: flex !important;">
          <div id="ember1309" style="border-radius: 50%;display: flex;justify-content: center;overflow: hidden;max-height: 4.375rem;max-width: 4.375rem;height: 4.375rem;width: 4.375rem;">
            <% if @avatar %>
              <%= image_tag(@avatar, alt: "Button Image", width: "auto", height: "100%", style: "-ms-interpolation-mode:bicubic;clear:both;display:block;width: auto;height: 100%;vertical-align: middle;border-style: none;") %>
            <% else %>
              <%= image_tag("https://helpbuttons.org/images/mails/profile_def2.png", alt: "Button Image", width: "auto", height: "100%", style: "-ms-interpolation-mode:bicubic;clear:both;display:block;width: auto;height: 100%;vertical-align: middle;border-style: none;") %>
            <% end %>
          </div>
        </div>
        <div style="flex: 0 1 80%; padding-left: 1rem; text-align: left; display:block;">
          <% if @isNeedType %>
          <div style="font-size: .75rem;font-weight: bold;display:block;  color:red;">
            BUSCA / NECESITA
          </div>
          <% elsif @isOfferType %>
          <div style="font-size: .75rem;font-weight: bold;display:block;color:#19AF96;">
            OFRECE
          </div>
          <% else %>
          <div style="font-size: .75rem;font-weight: bold;display:block;">
            <span class="color:#19AF96;">OFRECE</span> y <span class="color:red;">BUSCA A CAMBIO</span>
          </div>
          <% end %>
          <div style="font-size: 1rem;font-weight: bold;padding-top: .25rem;text-align:left;display:block;">
            <%= @user.nickname %>
          </div>
        </div>
      </div>
      <div style="display:block;">
        <div style="display: flex;flex-flow: row wrap;padding: .25rem 0 0 0;overflow: hidden;">
          <% @button.needed_tags.each.with_index do |tag, index| %>
            <div style="border-radius: 24px;color: #fff;display: inline-block;font-size: .85rem;margin: 0 .5rem .5rem 0;padding: 0.3rem 0.7rem;background: #EA5648;font-weight: bold;"><%= tag.name %></div>
          <% end %>
        </div>
        <div style="display: flex;flex-flow: row wrap;padding: .25rem 0 0 0;">
          <% @button.offer_tags.each.with_index do |tag, index| %>
            <div style="border-radius: 24px;color: #fff;display: inline-block;font-size: .85rem;margin: 0 .5rem .5rem 0;padding: 0.3rem 0.7rem;background: #19AF96;font-weight: bold;"><%= tag.name %></div>
          <% end %>
        </div>
      </div>
      <div style="word-break: break-word;color: rgba(0, 0, 0, 0.4);font-size: .85rem;line-height: 1.25rem;padding: 0.5rem 0;text-align: left;">
        <p>
          <%= @button.description %>
        </p>
      </div>
      <div style="text-align:left;">
        <div style="color: black;font-size: .85rem;font-weight: bold;flex: 0 0 auto;width: auto;max-width: 100%;">
          <p>
            <% if @button.to_location_name.nil? %>
            En <%= @button.location_name %>
            <% else %>
            De  <%= @button.location_name %>  A  <%= @button.to_location_name %>
            <% end %>
          </p>
        </div>
        <div style="color: black;font-size: .85rem;font-weight: bold;flex: 0 0 auto;width: auto;max-width: 100%;">
          <%= @buttonDate %>
        </div>
      </div>
    </div>
    <div style="width: 100%;border-radius: 0.3125rem;">
      <% if @buttonImage %>
        <picture style="width:100%;">
          <%= image_tag(@buttonImage, alt: "ButtonImage", style: "-ms-interpolation-mode:bicubic; clear:both; display:block; border-radius:0.3125rem; width: 100%; height:auto; bottom:-4px; position: relative;") %>
        </picture>
      <% end %>
    </div>
  </div>
</div>
<p style="font-size: 19px; font-weight: 700; max-width: 60%; margin-left: auto; margin-right: auto;">Recuerda, compártelo en redes si quieres que más gente te contacte:</p>
<div style="margin-bottom:2rem;">
  <a target="_top" href="https://www.facebook.com/sharer/sharer.php?u=<%= @redirectURL %>" style="display: inline-block; height: 4.375rem; width: 4.375rem; padding: 0; border: 0.125rem solid #343a40; border-radius: 0.3125rem; margin: 0.375rem 0.1875rem 0 0.1875rem; background:#FFDD02;" >
    <%= image_tag("https://helpbuttons.org/images/mails/facebook-official.png", alt: "facebook", width: "100%", height: "auto", style: "width: 35px; height: 40px; padding-top: 0.8rem; position: relative; fill: #343a40;") %>
  </a>
  <a target="_top" href="https://twitter.com/share?url=<%= @redirectURL %>" style="display: inline-block; height: 4.375rem; width: 4.375rem; padding: 0; border: 0.125rem solid #343a40; border-radius: 0.3125rem; margin: 0.375rem 0.1875rem 0 0.1875rem; background:#FFDD02;" >
    <%= image_tag("https://helpbuttons.org/images/mails/twitter-brands.png", alt: "twitter", width: "100%", height: "auto", style: "width: 43px; padding-top: 0.8rem; position: relative; height: 40px; fill: #343a40;") %>
  </a>
  <a target="_top" href="whatsapp://send?text=<%= @redirectURL %>" style="display: inline-block; height: 4.375rem; width: 4.375rem; padding: 0; border: 0.125rem solid #343a40; border-radius: 0.3125rem; margin: 0.375rem 0.1875rem 0 0.1875rem; background:#FFDD02;" >
    <%= image_tag("https://helpbuttons.org/images/mails/whatsapp-brands.png", alt: "whatsapp", width: "100%", height: "auto", style: "width: 40px; padding-top: 0.8rem; position: relative; height: 40px; fill: #343a40;") %>
  </a>
</div>
<p style="font-size: 19px;font-weight: 700;max-width: 60%;margin-left: auto;margin-right: auto;">Para compartirlo, este es su enlace :</p>
<input type="text" style="height: 45px; width: 90%; border-radius: 8px; border: none; text-align: center; font-weight: 700; font-size: 17px; text-decoration: underline;" value="<%= @redirectURL %>">
<div style="width: 100%; display: flex; justify-content: center; align-items: center;"><a href="<%= @redirectURL %>" style="text-decoration:none; border: 0.125rem solid #343a40; border-radius: 0.3125rem; padding: 0.5rem 10%; background:#FFDD02; color:black ; margin-top: 2rem;" target="_blank">Puedes ver tu botón aquí</a></div>
